Test Case - fib-matching
========================

## Objective ##

To test NFD's fib matching on a single host.

## Description ##

This test case will run the NFD, ndn-traffic and ndn-traffic-server to test NFD's fib matching. The following steps will be followed:

1. Start NFD.
2. Start ndn-traffic-server to serve ndn:/ with Content "Z", FreshnessPeriod=10ms. Do prefix registration using NFD FibMgmt.
3. Start ndn-traffic-server to serve ndn:/A with Content "A", FreshnessPeriod=10ms. Do prefix registration using NFD FibMgmt.
4. Start ndn-traffic-server to serve ndn:/A/B/C with Content "C", FreshnessPeriod=10ms. Do prefix registration using NFD FibMgmt.
5. Start ndn-traffic-server to serve ndn:/D/E with Content "E", FreshnessPeriod=10ms. Do prefix registration using NFD FibMgmt.
6. Invoke ndn-traffic to request ndn:/ MustBeFresh=yes. Fail if unanswered. Fail if Content is not "Z".
7. Wait 100ms.
8. Invoke ndn-traffic to request ndn:/F MustBeFresh=yes. Fail if unanswered. Fail if Content is not "Z".
9. Wait 100ms.
10. Invoke ndn-traffic to request ndn:/A MustBeFresh=yes. Fail if unanswered. Fail if Content is not "A".
11. Wait 100ms.
12. Invoke ndn-traffic to request ndn:/a MustBeFresh=yes. Fail if unanswered. Fail if Content is not "Z".
13. Wait 100ms.
14. Invoke ndn-traffic to request ndn:/A/B MustBeFresh=yes. Fail if unanswered. Fail if Content is not "A".
15. Wait 100ms.
16. Invoke ndn-traffic to request ndn:/A/B/G MustBeFresh=yes. Fail if unanswered. Fail if Content is not "A".
17. Wait 100ms.
18. Invoke ndn-traffic to request ndn:/A/B/C MustBeFresh=yes. Fail if unanswered. Fail if Content is not "C".
19. Wait 100ms.
20. Invoke ndn-traffic to request ndn:/A/B/C/P/Q/R/S/T/U/V/W/X/Y/Z MustBeFresh=yes. Fail if unanswered. Fail if Content is not "C".
21. Wait 100ms.
22. Invoke ndn-traffic to request ndn:/D MustBeFresh=yes Exclude=[,D]. Fail if unanswered. Fail if Content is not "Z".
23. Wait 100ms.
24. Invoke ndn-traffic to request ndn:/D MustBeFresh=yes Exclude=[,E]. Fail if unanswered. Fail if Content is not "Z".
