# MulticastStrategy test scenario

Test Multicast Strategy

Steps:

1.  Start NFD on A,B,C,D.
2.  On host B,C, start ndn-traffic-server to serve `ndn:/test-mcast`.
3.  On host A, invoke nfdc to set MulticastStrategy at `ndn:/test-mcast`.
4.  On host A, invoke nfdc to create UDP tunnel to B, and add nexthop for `ndn:/test-mcast` to this face with cost 10.
5.  On host A, invoke nfdc to create UDP tunnel to C, and add nexthop for `ndn:/test-mcast` to this face with cost 20.
6.  On host D, invoke nfdc to create UDP tunnel to A, and add nexthop for `ndn:/test-mcast` to this face.
7.  On host D, execute ndn-traffic-client to send 100 Interest to `ndn:/test-mcast/A/<random>`.
8.  On host B,C, stop ndn-traffic-server.
    Fail if total served Interests on either host is less than 80.
9.  On host D, invoke nfd-status to observe counters on the face created in step 6.
    Fail if total received Datas on this face is greater than 120 (because A should not forward the second copy of Data to D after PIT entry is satisfied).
